Open SCAP Library

Public Member Functions | Data Fields
cvrf_vulnerability_cwe Struct Reference

## Public Member Functions
xmlNode * | cvrf_vulnerability_cwe_to_dom (const struct cvrf_vulnerability_cwe *vuln_cwe)
| Parent: Vulnerability element. More...
struct cvrf_vulnerability_cwe * | cvrf_vulnerability_cwe_new (void)
| New CVRF CWE structure. More...
void | cvrf_vulnerability_cwe_free (struct cvrf_vulnerability_cwe *cwe)
| Deallocates memory for a CWE element. More...
struct cvrf_vulnerability_cwe * | cvrf_vulnerability_cwe_clone (const struct cvrf_vulnerability_cwe *cwe)
const char * | cvrf_vulnerability_cwe_get_cwe (const struct cvrf_vulnerability_cwe *vuln_cwe)
const char * | cvrf_vulnerability_cwe_get_id (const struct cvrf_vulnerability_cwe *vuln_cwe)
bool | cvrf_vulnerability_cwe_set_cwe (struct cvrf_vulnerability_cwe *vuln_cwe, const char *cwe)
bool | cvrf_vulnerability_cwe_set_id (struct cvrf_vulnerability_cwe *vuln_cwe, const char *id)

## Data Fields
char * | cwe
char * | id

## Member Function Documentation

## ◆ cvrf_vulnerability_cwe_to_dom()

xmlNode * cvrf_vulnerability_cwe_to_dom | ( | const struct cvrf_vulnerability_cwe * | vuln_cwe | ) |

Parent: Vulnerability element.

Parameters

  vuln_cwe | CWE structure to be exported to XML

Returns
  xmlNode representing CWE element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h